﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Airbus
{
    public class EntityAirbus
    {
        public int Speed { get; private set; } //скорость
        public float Weight { get; private set; } //вес
        public Color CorpusColor { get; set; } //цвет корпуса
        public float Step => Speed * 100 / Weight; //шаг перемещения самолёта
        public EntityAirbus(int speed, float weight, Color corpusColor)
        {
             Random rnd = new();
             Speed = speed <= 0 ? rnd.Next(50, 150) : speed;
             Weight = weight <= 0 ? rnd.Next(40, 70) : weight;
             CorpusColor = corpusColor;
        }
    }
}
